#include <bits/stdc++.h>
#define ll long long
using namespace std;

int main(int argc, char**argv){
ios::sync_with_stdio(false); cin.tie(0); cout.tie(0);
ll n, l; cin >> n >> l;
ll m = -1, i = 0;
while ( (m == -1) && (i < n) ){
    ll x; cin >> x;
    if( x < l ){
        m = i;
        break;
    }
    i++;

}
cout << m;


return 0;
}